function [errcheck,lmss_vals,ssv]=res_int_ramsey_ss(x,nbeta,sig,rot,phim,phid,phic,chi,ATC,vstar,zLs,sub,theta,rcp)

pis=x(1);
irs=x(2);

ibs = pis/nbeta; 
vels = vstar + (ibs-irs)/(ATC*ibs);
taus = (ATC/exp(vels))*(exp(vels)/exp(vstar)-1-vels+vstar);
ids = ibs*(1-ATC*(1/exp(vstar)-1/exp(vels)));
ilw = ibs*rot*(pis-1)*pis*(1-nbeta)/sig + sub*(sig-1)/sig;
ns = (ilw*(phim/ibs+phic+(1+rcp*taus)*phid/(1+ibs-ids))/(1-(rot/2)*(pis-1)^2))^(1/(1+chi));
dels = zLs*(ilw*ns)^theta;
iLs = ibs/(1-dels);
ws = ilw/iLs;
cms = ws*phim*ns^(-chi);
ccs = cms*ibs*(phic/phim);
cds = cms*(phid/phim)*(ibs/(1+ibs-ids));

ress = cds/vels;
lambdas = phim/cms;

ssv(1) = ibs;
ssv(2) = vels;
ssv(3) = taus;
ssv(4) = ids;
ssv(5) = ws;
ssv(6) = iLs;
ssv(7) = cms;
ssv(8) = cds;
ssv(9) = ccs;
ssv(10)= ns;
ssv(11)= ress;
ssv(12)= lambdas;
ssv(13) = dels;

ib_SS=log(ibs); ir_SS=log(irs); pi_SS=log(pis);  vel_SS=log(vels); 
del_SS=log(dels); iL_SS=log(iLs); id_SS=log(ids);
n_SS=log(ns); w_SS=log(ws); y_SS=log(ns*(1-dels)); z_SS=0; tau_SS=taus;
cm_SS=log(cms); cc_SS=log(ccs); cd_SS=log(cds); lambda_SS=log(lambdas);

lmss_mat = zeros(18,16); 
lmss_vec = zeros(18,1); 
lmss_vec(1) = phic; 
lmss_mat(1,1) = 0; 
lmss_mat(1,2) = 1; 
lmss_mat(1,3) = 0; 
lmss_mat(1,4) = 0; 
lmss_mat(1,5) = 0; 
lmss_mat(1,6) = 0; 
lmss_mat(1,7) = 0; 
lmss_mat(1,8) = 0; 
lmss_mat(1,9) = 0; 
lmss_mat(1,10) = 0; 
lmss_mat(1,11) = 0; 
lmss_mat(1,12) = 0; 
lmss_mat(1,13) = 0; 
lmss_mat(1,14) = 0; 
lmss_mat(1,15) = -exp(cc_SS); 
lmss_mat(1,16) = 0; 
lmss_vec(2) = phid; 
lmss_mat(2,1) = 0; 
lmss_mat(2,2) = 0; 
lmss_mat(2,3) = 1; 
lmss_mat(2,4) = 0; 
lmss_mat(2,5) = 0; 
lmss_mat(2,6) = 0; 
lmss_mat(2,7) = 1; 
lmss_mat(2,8) = 0; 
lmss_mat(2,9) = 0; 
lmss_mat(2,10) = 0; 
lmss_mat(2,11) = 0; 
lmss_mat(2,12) = 0; 
lmss_mat(2,13) = 0; 
lmss_mat(2,14) = 0; 
lmss_mat(2,15) = -exp(cd_SS)*(1+rcp*tau_SS); 
lmss_mat(2,16) = 0; 
lmss_vec(3) = phim; 
lmss_mat(3,1) = -1; 
lmss_mat(3,2) = -1; 
lmss_mat(3,3) = -1; 
lmss_mat(3,4) = -1; 
lmss_mat(3,5) = 0; 
lmss_mat(3,6) = 1; 
lmss_mat(3,7) = 0; 
lmss_mat(3,8) = 0; 
lmss_mat(3,9) = 0; 
lmss_mat(3,10) = 0; 
lmss_mat(3,11) = 0; 
lmss_mat(3,12) = 0; 
lmss_mat(3,13) = 0; 
lmss_mat(3,14) = 0; 
lmss_mat(3,15) = -exp(cm_SS); 
lmss_mat(3,16) = 0; 
lmss_vec(4) = 0; 
lmss_mat(4,1) = 0; 
lmss_mat(4,2) = 0; 
lmss_mat(4,3) = 0; 
lmss_mat(4,4) = 0; 
lmss_mat(4,5) = 0; 
lmss_mat(4,6) = 0; 
lmss_mat(4,7) = 0; 
lmss_mat(4,8) = 0; 
lmss_mat(4,9) = 0; 
lmss_mat(4,10) = 0; 
lmss_mat(4,11) = 0; 
lmss_mat(4,12) = 1; 
lmss_mat(4,13) = -exp(ib_SS)/(1-exp(del_SS))^2*exp(del_SS); 
lmss_mat(4,14) = exp(z_SS+n_SS)*exp(del_SS); 
lmss_mat(4,15) = 0; 
lmss_mat(4,16) = 0; 
lmss_vec(5) = 0; 
lmss_mat(5,1) = 0; 
lmss_mat(5,2) = 0; 
lmss_mat(5,3) = 0; 
lmss_mat(5,4) = 0; 
lmss_mat(5,5) = 0; 
lmss_mat(5,6) = 0; 
lmss_mat(5,7) = -1; 
lmss_mat(5,8) = -1; 
lmss_mat(5,9) = 0; 
lmss_mat(5,10) = 0; 
lmss_mat(5,11) = 0; 
lmss_mat(5,12) = 0; 
lmss_mat(5,13) = 0; 
lmss_mat(5,14) = 0; 
lmss_mat(5,15) = 0; 
lmss_mat(5,16) = 0; 
lmss_vec(6) = 0; 
lmss_mat(6,1) = 0; 
lmss_mat(6,2) = -1; 
lmss_mat(6,3) = -1+exp(ib_SS)/(1+exp(ib_SS)-exp(id_SS)); 
lmss_mat(6,4) = 0; 
lmss_mat(6,5) = -nbeta*exp(ib_SS)*exp(lambda_SS-lambda_SS-pi_SS); 
lmss_mat(6,6) = 0; 
lmss_mat(6,7) = 0; 
lmss_mat(6,8) = 0; 
lmss_mat(6,9) = 0; 
lmss_mat(6,10) = exp(ib_SS)-exp(ib_SS)*ATC*(vel_SS-vstar); 
lmss_mat(6,11) = exp(ib_SS)-exp(ib_SS)*ATC*(1/exp(vstar)-1/exp(vel_SS)); 
lmss_mat(6,12) = 0; 
lmss_mat(6,13) = -exp(ib_SS)/(1-exp(del_SS)); 
lmss_mat(6,14) = 0; 
lmss_mat(6,15) = 0; 
lmss_mat(6,16) = (sub*(1-sig)*exp(y_SS)+sig*exp(y_SS+iL_SS+w_SS-z_SS))/exp(ib_SS); 
lmss_vec(7) = 0; 
lmss_mat(7,1) = 0; 
lmss_mat(7,2) = 0; 
lmss_mat(7,3) = -exp(id_SS)/(1+exp(ib_SS)-exp(id_SS)); 
lmss_mat(7,4) = 0; 
lmss_mat(7,5) = 0; 
lmss_mat(7,6) = 0; 
lmss_mat(7,7) = 0; 
lmss_mat(7,8) = 0; 
lmss_mat(7,9) = 0; 
lmss_mat(7,10) = 0; 
lmss_mat(7,11) = -exp(id_SS); 
lmss_mat(7,12) = 0; 
lmss_mat(7,13) = 0; 
lmss_mat(7,14) = 0; 
lmss_mat(7,15) = 0; 
lmss_mat(7,16) = 0; 
lmss_vec(8) = 0; 
lmss_mat(8,1) = 0; 
lmss_mat(8,2) = 0; 
lmss_mat(8,3) = 0; 
lmss_mat(8,4) = 0; 
lmss_mat(8,5) = 0; 
lmss_mat(8,6) = 0; 
lmss_mat(8,7) = 0; 
lmss_mat(8,8) = 0; 
lmss_mat(8,9) = 0; 
lmss_mat(8,10) = 0; 
lmss_mat(8,11) = 0; 
lmss_mat(8,12) = -theta; 
lmss_mat(8,13) = exp(iL_SS); 
lmss_mat(8,14) = 0; 
lmss_mat(8,15) = 0; 
lmss_mat(8,16) = -sig*exp(y_SS+iL_SS+w_SS-z_SS)/exp(ib_SS); 
lmss_vec(9) = 0; 
lmss_mat(9,1) = 0; 
lmss_mat(9,2) = 0; 
lmss_mat(9,3) = 0; 
lmss_mat(9,4) = 0; 
lmss_mat(9,5) = 0; 
lmss_mat(9,6) = 0; 
lmss_mat(9,7) = 0; 
lmss_mat(9,8) = 0; 
lmss_mat(9,9) = 0; 
lmss_mat(9,10) = -exp(ir_SS); 
lmss_mat(9,11) = 0; 
lmss_mat(9,12) = 0; 
lmss_mat(9,13) = 0; 
lmss_mat(9,14) = 0; 
lmss_mat(9,15) = 0; 
lmss_mat(9,16) = 0; 
lmss_vec(10) = 0; 
lmss_mat(10,1) = -1; 
lmss_mat(10,2) = 0; 
lmss_mat(10,3) = 0; 
lmss_mat(10,4) = 0; 
lmss_mat(10,5) = nbeta*exp(ib_SS)*exp(lambda_SS-lambda_SS-pi_SS)-exp(ib_SS)*exp(lambda_SS-lambda_SS-pi_SS); 
lmss_mat(10,6) = 0; 
lmss_mat(10,7) = 0; 
lmss_mat(10,8) = 0; 
lmss_mat(10,9) = 0; 
lmss_mat(10,10) = 0; 
lmss_mat(10,11) = 0; 
lmss_mat(10,12) = 0; 
lmss_mat(10,13) = 0; 
lmss_mat(10,14) = 0; 
lmss_mat(10,15) = 0; 
lmss_mat(10,16) = rot*nbeta*exp(lambda_SS-lambda_SS)*(exp(pi_SS)-1)*exp(pi_SS)*exp(y_SS)-rot*exp(lambda_SS-lambda_SS)*(exp(pi_SS)-1)*exp(pi_SS)*exp(y_SS); 
lmss_vec(11) = 0; 
lmss_mat(11,1) = 0; 
lmss_mat(11,2) = 0; 
lmss_mat(11,3) = 0; 
lmss_mat(11,4) = 0; 
lmss_mat(11,5) = 0; 
lmss_mat(11,6) = -1; 
lmss_mat(11,7) = 0; 
lmss_mat(11,8) = 0; 
lmss_mat(11,9) = 0; 
lmss_mat(11,10) = 0; 
lmss_mat(11,11) = 0; 
lmss_mat(11,12) = 0; 
lmss_mat(11,13) = 0; 
lmss_mat(11,14) = 0; 
lmss_mat(11,15) = 0; 
lmss_mat(11,16) = 0; 
lmss_vec(12) = -exp(n_SS)^(1+chi); 
lmss_mat(12,1) = 0; 
lmss_mat(12,2) = 0; 
lmss_mat(12,3) = 0; 
lmss_mat(12,4) = -chi; 
lmss_mat(12,5) = 0; 
lmss_mat(12,6) = 0; 
lmss_mat(12,7) = 0; 
lmss_mat(12,8) = 0; 
lmss_mat(12,9) = 0; 
lmss_mat(12,10) = 0; 
lmss_mat(12,11) = 0; 
lmss_mat(12,12) = -theta; 
lmss_mat(12,13) = 0; 
lmss_mat(12,14) = -exp(z_SS+n_SS)*(1-exp(del_SS)); 
lmss_mat(12,15) = 0; 
lmss_mat(12,16) = 0; 
lmss_vec(13) = 0; 
lmss_mat(13,1) = 0; 
lmss_mat(13,2) = 0; 
lmss_mat(13,3) = 0; 
lmss_mat(13,4) = 0; 
lmss_mat(13,5) = exp(ib_SS)*exp(lambda_SS-lambda_SS-pi_SS); 
lmss_mat(13,6) = 0; 
lmss_mat(13,7) = 0; 
lmss_mat(13,8) = 0; 
lmss_mat(13,9) = 0; 
lmss_mat(13,10) = 0; 
lmss_mat(13,11) = 0; 
lmss_mat(13,12) = 0; 
lmss_mat(13,13) = 0; 
lmss_mat(13,14) = 0; 
lmss_mat(13,15) = -exp(y_SS)*rot*(exp(pi_SS)-1)*exp(pi_SS); 
lmss_mat(13,16) = rot*exp(pi_SS)*exp(pi_SS+y_SS)+rot*(exp(pi_SS)-1)*exp(pi_SS+y_SS)+1/nbeta*(-rot*nbeta*exp(lambda_SS-lambda_SS)*exp(pi_SS)^2*exp(y_SS)-rot*nbeta*exp(lambda_SS-lambda_SS)*(exp(pi_SS)-1)*exp(pi_SS)*exp(y_SS)); 
lmss_vec(14) = 0; 
lmss_mat(14,1) = 0; 
lmss_mat(14,2) = 0; 
lmss_mat(14,3) = 0; 
lmss_mat(14,4) = 0; 
lmss_mat(14,5) = 0; 
lmss_mat(14,6) = 0; 
lmss_mat(14,7) = 0; 
lmss_mat(14,8) = 1; 
lmss_mat(14,9) = 0; 
lmss_mat(14,10) = 0; 
lmss_mat(14,11) = 0; 
lmss_mat(14,12) = 0; 
lmss_mat(14,13) = 0; 
lmss_mat(14,14) = 0; 
lmss_mat(14,15) = 0; 
lmss_mat(14,16) = 0; 
lmss_vec(15) = 0; 
lmss_mat(15,1) = 0; 
lmss_mat(15,2) = 0; 
lmss_mat(15,3) = 0; 
lmss_mat(15,4) = 0; 
lmss_mat(15,5) = 0; 
lmss_mat(15,6) = 0; 
lmss_mat(15,7) = 0; 
lmss_mat(15,8) = 0; 
lmss_mat(15,9) = 1; 
lmss_mat(15,10) = 0; 
lmss_mat(15,11) = 0; 
lmss_mat(15,12) = 0; 
lmss_mat(15,13) = 0; 
lmss_mat(15,14) = 0; 
lmss_mat(15,15) = -exp(cd_SS)*rcp; 
lmss_mat(15,16) = 0; 
lmss_vec(16) = 0; 
lmss_mat(16,1) = 0; 
lmss_mat(16,2) = 0; 
lmss_mat(16,3) = 0; 
lmss_mat(16,4) = 0; 
lmss_mat(16,5) = 0; 
lmss_mat(16,6) = 0; 
lmss_mat(16,7) = 0; 
lmss_mat(16,8) = 1; 
lmss_mat(16,9) = ATC/exp(vel_SS)*(exp(vel_SS)/exp(vstar)-1-vel_SS+vstar)-ATC/exp(vel_SS)*(exp(vel_SS)/exp(vstar)-1); 
lmss_mat(16,10) = -exp(ib_SS)*ATC; 
lmss_mat(16,11) = -exp(ib_SS)*ATC/exp(vel_SS); 
lmss_mat(16,12) = 0; 
lmss_mat(16,13) = 0; 
lmss_mat(16,14) = 0; 
lmss_mat(16,15) = 0; 
lmss_mat(16,16) = 0; 
lmss_vec(17) = 0; 
lmss_mat(17,1) = 0; 
lmss_mat(17,2) = 0; 
lmss_mat(17,3) = 0; 
lmss_mat(17,4) = 1; 
lmss_mat(17,5) = 0; 
lmss_mat(17,6) = 0; 
lmss_mat(17,7) = 0; 
lmss_mat(17,8) = 0; 
lmss_mat(17,9) = 0; 
lmss_mat(17,10) = 0; 
lmss_mat(17,11) = 0; 
lmss_mat(17,12) = -theta; 
lmss_mat(17,13) = 0; 
lmss_mat(17,14) = 0; 
lmss_mat(17,15) = 0; 
lmss_mat(17,16) = -sig*exp(y_SS+iL_SS+w_SS-z_SS)/exp(ib_SS); 
lmss_vec(18) = 0; 
lmss_mat(18,1) = 0; 
lmss_mat(18,2) = 0; 
lmss_mat(18,3) = 0; 
lmss_mat(18,4) = 0; 
lmss_mat(18,5) = 0; 
lmss_mat(18,6) = 0; 
lmss_mat(18,7) = 0; 
lmss_mat(18,8) = 0; 
lmss_mat(18,9) = 0; 
lmss_mat(18,10) = 0; 
lmss_mat(18,11) = 0; 
lmss_mat(18,12) = 0; 
lmss_mat(18,13) = 0; 
lmss_mat(18,14) = exp(y_SS); 
lmss_mat(18,15) = exp(y_SS)*(1-1/2*rot*(exp(pi_SS)-1)^2); 
lmss_mat(18,16) = rot*(exp(pi_SS)-1)*exp(pi_SS+y_SS)-(sub*(1-sig)*exp(y_SS)+sig*exp(y_SS+iL_SS+w_SS-z_SS))/exp(ib_SS)-rot*exp(lambda_SS-lambda_SS)*(exp(pi_SS)-1)*exp(pi_SS)*exp(y_SS); 

lmss_vals = -lmss_mat \ lmss_vec; 
errcheck = max(abs(lmss_mat*lmss_vals + lmss_vec)); 
